
table.insert(data.raw.technology["advanced-material-processing-2"].effects,{type = "unlock-recipe", recipe = "la-assembler-1"})


data:extend(
{


{   type = "item", name = "la-assembler-1",
    icon = "__Loader-Furnace__/graphics/icon-furnace-1.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "d[electric-assembler]-a[lf-furnace-1]",
    place_result = "la-assembler-1",
    stack_size = 50
  },
  
  {   type = "item", name = "la-assembler-2",
    icon = "__Loader-Furnace__/graphics/icon-furnace-2.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "d[electric-assembler]-b[lf-furnace-2]",
    place_result = "la-assembler-2",
    stack_size = 50
  },
  
  {   type = "item", name = "la-assembler-3",
    icon = "__Loader-Furnace__/graphics/icon-furnace-3.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "d[electric-assembler]-c[lf-furnace-3]",
    place_result = "la-assembler-3",
    stack_size = 50
  },
  
--------------------------------------- recipe --------------------------------------

{   type = "recipe", name = "la-assembler-1",
    ingredients = {{"steel-plate", 50}, {"advanced-circuit", 10}, {"assembling-machine-3", 24}},
    result = "la-assembler-1",
    energy_required = 5,
    enabled = false
  },
  
  { type = "recipe", name = "la-assembler-2",
    ingredients = {{"steel-plate", 50}, {"advanced-circuit", 10}, {"la-assembler-1", 24}},
    result = "la-assembler-2",
    energy_required = 15,
    enabled = false
  },
  
  { type = "recipe", name = "la-assembler-3",
    ingredients = {{"steel-plate", 50}, {"advanced-circuit", 10}, {"la-assembler-2", 24}},
    result = "la-assembler-3",
    energy_required = 25,
    enabled = false
  },

--------------------------------------- entitties -----------------------------------

{   type = "assembling-machine", name = "la-assembler-1",
    icon = "__Loader-Furnace__/graphics/icon-furnace-1.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "la-assembler-1"},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 2,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid"},

    result_inventory_size = 2,
    crafting_speed = 42, -- 43 was to high
    energy_usage = "3780kW", --180kW * 42/2 = 3780
    ingredient_count = 6,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__Loader-Furnace__/graphics/lf-furnace-base-1.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-heater.png",
          priority = "high",
          width = 25,
          height = 15,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-propeller-1.png",
          priority = "high",
          width = 19,
          height = 13,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {-0.671875, -0.640625}
        }
      },
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-propeller-2.png",
          priority = "high",
          width = 12,
          height = 9,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {0.0625, -1.234375}
        }
      }
    },
    fast_replaceable_group = "assembler"
  },

  
{   type = "assembling-machine", name = "la-assembler-2",
    icon = "__Loader-Furnace__/graphics/icon-furnace-2.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "la-assembler-2"},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 2,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid"},

    result_inventory_size = 2,
    crafting_speed = 84,
    energy_usage = "7560kW", -- 180kW * 42/2 * 2 = 3780 * 2
    ingredient_count = 6,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__Loader-Furnace__/graphics/lf-furnace-base-2.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-heater.png",
          priority = "high",
          width = 25,
          height = 15,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-propeller-1.png",
          priority = "high",
          width = 19,
          height = 13,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {-0.671875, -0.640625}
        }
      },
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-propeller-2.png",
          priority = "high",
          width = 12,
          height = 9,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {0.0625, -1.234375}
        }
      }
    },
    fast_replaceable_group = "assembler"
  },
 
 
{   type = "assembling-machine", name = "la-assembler-3",
    icon = "__Loader-Furnace__/graphics/icon-furnace-3.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "la-assembler-3"},
    max_health = 150,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 2,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"crafting", "advanced-crafting", "crafting-with-fluid"},

    result_inventory_size = 2,
    crafting_speed = 126,
    energy_usage = "11340kW", --180kW * 42/2 * 3 = 3780 * 3
    ingredient_count = 6,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.005
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__Loader-Furnace__/graphics/lf-furnace-base-3.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-heater.png",
          priority = "high",
          width = 25,
          height = 15,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-propeller-1.png",
          priority = "high",
          width = 19,
          height = 13,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {-0.671875, -0.640625}
        }
      },
      {
        animation =
        {
          filename = "__Loader-Furnace__/graphics/lf-furnace-propeller-2.png",
          priority = "high",
          width = 12,
          height = 9,
          frame_count = 4,
          animation_speed = 0.5,
          shift = {0.0625, -1.234375}
        }
      }
    },
    fast_replaceable_group = "assembler"
  },
 

})